<%@ page language="java" import="java.util.*,com.letousky.lottery.delegate.WinsFlat,com.letousky.exception.LotteryException" pageEncoding="UTF-8"%>
<%
	String[] params=new String[3];
	params[0]=request.getParameter("Trading"); 
	params[1]=request.getParameter("pages");
	params[2]=request.getParameter("every");
	List list=new WinsFlat().chipped_user_details(params);
	String[] str=null;
	String d=",";
	Object[] obj=list.toArray();
	List items=(List)obj[0];
	String[] recod=(String[])obj[1];
	Object[] item=items.toArray();
	
	out.print("{\"record\":\""+recod[0]+"\",\"items\":[");
	for(int i=0;i<item.length;i++){
				
			str=(String[])item[i];
			if(i==(item.length-1)){ d=""; }	
			out.print("{\"Trading\":\""+str[0]+"\",\"seriano\":\""+str[1]+"\",\"userName\":\""+str[2]+"\",\"copis\":\""+str[3]+"\",\"price\":\""+str[4]+"\",\"buyTime\":\""+str[5]+"\",\"yesMoney\":\""+str[6]+"\",\"totalcopies\":\""+str[7]+"\",\"each\":\""+str[8]+"\",\"hmtype\":\""+str[9]+"\"}"+d+"");
	}
	out.print("]}");
%>